POST
https://api.cryptohopper.com/v1/hopper/{id}/position/short/{position_id}
Opens a short position from one open position by placing a sell order at the current bid, or at market.
OAuth scope:
read manage trade About scopes
The body is optional: market_order 1 places a market order. Not available for exchange arbitrage, market maker, copy, grid and AI bots.
Example request
curl -X POST "https://api.cryptohopper.com/v1/hopper/HOPPER_ID/position/short/POSITION_ID" \
-H "access-token: YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{"market_order":1}'
const response = await fetch('https://api.cryptohopper.com/v1/hopper/HOPPER_ID/position/short/POSITION_ID', {
method: 'POST',
headers: {
"access-token": "YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"market_order": 1
})
});
const data = await response.json();
import requests
response = requests.post(
"https://api.cryptohopper.com/v1/hopper/HOPPER_ID/position/short/POSITION_ID",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
json={
"market_order": 1
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/hopper/HOPPER_ID/position/short/POSITION_ID');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
'Content-Type: application/json',
],
CURLOPT_POSTFIELDS => json_encode([
'market_order' => 1,
]),
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Headers
| Name | Type | Required | Description |
|---|---|---|---|
access-token |
string | Required | The OAuth access token of the user. |
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
position_id |
string | Required | Open position ID. |
id |
string | Required | Hopper ID. |
Response
{
"data": "Sell orders placed for selected positions."
}